Subject: [PATCH] ARM: omap4: clock data: Add missing clkdm association for dpll_usb

From: [email-masked] (Rajendra Nayak)
Date: Thu, 31 Jan 2013 17:14:08 +0530

Hi Paul,

>> dpll_usb needs the clkdm association so the clkdm can be
>> turned on before a relock. All other dplls for omap4 belong
>> to the ALWON (always on) domain.
>>
>> The association was present as part of the older data file
>> (clock44xx_data.c) but looks like was accidently dropped with
>> the common clk convertion.
>
> Thanks, queued for v3.8-rc fixes.

I just realized that apart from adding the missing .clkdm_name, I
also need to populate a .init as part of clk_ops for dpll_usb
so the clockdomain lookup can then happen based on the .clkdm_name.

I have updated the $Subject patch and posted a v2 (http://marc.info
/?l=linux-omap&m=135963212530790&w=2). Would it be possible for you to
pick the v2 instead and drop this one from your fixes branch.

regards,
Rajendra

> - Paul